msgpack::adaptor::object< std::vector< char, Alloc > > Struct Template Reference

`#include <vector_char.hpp>`

## Public Member Functions

void | operator() (msgpack::object &o, const std::vector< char, Alloc > &v) const

## Member Function Documentation

## operator()()

template<typename Alloc >

void msgpack::adaptor::object< std::vector< char, Alloc > >::operator() | ( | msgpack::object< std::vector< char, Alloc > > & | o,
|  | const std::vector< char, Alloc > & | v
| ) |  | const

inline

References msgpack::type::BIN, msgpack::object::union_type::bin, msgpack::checked_get_container_size(), msgpack::object_bin::ptr, msgpack::type::size(), msgpack::object_bin::size, msgpack::object::type, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/vector_char.hpp